## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         appid com.mattjakeman.ExtensionManager
Name:           extension-manager
Version:        0.6.3
Release:        %autorelease
Summary:        A utility for browsing and installing GNOME Shell Extensions

License:        GPL-3.0-or-later
URL:            https://github.com/mjakeman/extension-manager
Source0:        %{url}/archive/v%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  libappstream-glib
BuildRequires:  meson >= 0.59.0
BuildRequires:  pkgconfig(blueprint-compiler)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libadwaita-1) >= 1.7.0
BuildRequires:  pkgconfig(libsoup-3.0)
BuildRequires:  pkgconfig(libxml-2.0)
Requires:       unzip

%description
A native tool for browsing, installing, and managing GNOME Shell Extensions.


%prep
%autosetup

%build
%meson \
  -Dbacktrace=false
%meson_build

%install
%meson_install
%find_lang %{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{appid}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{appid}.metainfo.xml

%files -f %{name}.lang
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{appid}.desktop
%{_datadir}/glib-2.0/schemas/%{appid}.gschema.xml
%{_iconsdir}/hicolor/scalable/apps/%{appid}.svg
%{_iconsdir}/hicolor/symbolic/apps/%{appid}-symbolic.svg
%{_metainfodir}/%{appid}.metainfo.xml

%changelog
## START: Generated by rpmautospec
* Wed Jun 04 2025 John Doe <packager@example.com> - 0.6.3-1
- Uncommitted changes
## END: Generated by rpmautospec
